| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiPython::TupleDecorator Class Reference

Simple class which performs the decoration of the standard N-Tuple. More...

`#include <GaudiPython/TupleDecorator.h>`

## Static Public Member Functions
static INTuple * | nTuple (const Tuples::Tuple &tuple)
| accessors to internal More...
static NTuple::Tuple * | ntuple (const Tuples::Tuple &tuple)
| accessors to internal More...
static bool | valid (const Tuples::Tuple &tuple)
| status of the tuple More...
static StatusCode | write (const Tuples::Tuple &tuple)
| commit the row More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const int value)
| more or less simple columns: long More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const int value, const int minv, const int maxv)
| more or less simple columns: long More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const double value)
| more or less simple columns: double More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const bool value)
| more or less simple columns: bool More...
static StatusCode | column_ll (const Tuples::Tuple &tuple, const std::string &name, const long long value)
| more or less simple columns: long long More...
static StatusCode | column_ull (const Tuples::Tuple &tuple, const std::string &name, const unsigned long long value)
| more or less simple columns: unsigned long long More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, IOpaqueAddress *value)
| more or less simple columns: IOpaqueAddress More...
static StatusCode | column (const Tuples::Tuple &tuple, IOpaqueAddress *value)
| more or less simple columns: IOpaqueAddress More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::LorentzVector &value)
| Advanced columns: LorentzVector. More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::XYZVector &value)
| Advanced columns: 3D-vector. More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::XYZPoint &value)
| Advanced columns: 3D-points. More...
static StatusCode | farray (const Tuples::Tuple &tuple, const std::string &name, const std::vector< double > &data, const std::string &length, const size_t maxv)
| Advanced columns: floating-size arrays. More...
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiPython::Matrix &data, const Tuples::TupleObj::MIndex cols, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices. More...
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiUtils::VectorMap< int, double > &info, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const std::vector< double > &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector1 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector2 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector3 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector4 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector5 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector6 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector7 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector8 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector9 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiPython::Matrix &data, const Tuples::TupleObj::MIndex cols)
| Advanced columns: fixed size matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix2x2 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x3 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix4x4 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix5x5 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix6x6 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix7x7 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix8x8 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix9x9 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x1 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x3 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x5 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x6 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix4x3 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x4 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x5 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x6 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix2x3 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x2 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix1x1 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix2x2 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix3x3 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix4x4 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix5x5 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix6x6 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix7x7 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix8x8 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix9x9 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Time &value)
| advanced column: time More...
static StatusCode | column (const Tuples::Tuple &tuple, const Gaudi::Time &value)
| advanced column: time More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepVector &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | farray (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepVector &data, const std::string &length, const size_t maxv)
| Advanced columns: floating-size arrays. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepGenMatrix &data)
| Advanced columns: fixed size matrices. More...
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepGenMatrix &data, const Tuples::TupleObj::MIndex cols, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices. More...

## Detailed Description

Simple class which performs the decoration of the standard N-Tuple.

See also
  Tuples::Tuple

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-04

Definition at line 46 of file TupleDecorator.h.

## Member Function Documentation

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const std::vector< double > & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 190 of file TupleDecorator.cpp.

193 {
194 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
195 return tuple->array ( name , data.begin() , data.end() ) ;
196 }
std::vector::end
T end(T...args)
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616
std::vector::begin
T begin(T...args)

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector1 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 199 of file TupleDecorator.cpp.

202 {
203 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
204 return tuple->array( name , data ) ;
205 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector2 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 208 of file TupleDecorator.cpp.

211 {
212 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
213 return tuple->array( name , data ) ;
214 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector3 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 217 of file TupleDecorator.cpp.

220 {
221 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
222 return tuple->array( name , data.begin() , data.begin() + 3 ) ;
223 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616
std::string::begin
T begin(T...args)

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector4 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 226 of file TupleDecorator.cpp.

229 {
230 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
231 // return tuple->array( name , data ) ;
232 return tuple->array( name , data.begin() , data.begin()+4 ) ;
233 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616
std::string::begin
T begin(T...args)

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector5 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 236 of file TupleDecorator.cpp.

239 {
240 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
241 return tuple->array( name , data ) ;
242 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector6 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 245 of file TupleDecorator.cpp.

248 {
249 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
250 return tuple->array( name , data ) ;
251 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector7 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 254 of file TupleDecorator.cpp.

257 {
258 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
259 return tuple->array( name , data ) ;
260 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector8 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 263 of file TupleDecorator.cpp.

266 {
267 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
268 return tuple->array( name , data ) ;
269 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector9 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 272 of file TupleDecorator.cpp.

275 {
276 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
277 return tuple->array( name , data ) ;
278 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepVector & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 579 of file TupleDecorator.cpp.

582 {
583 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
584 return tuple->array( name , data , data.num_row() ) ;
585 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1616

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const int | value
| ) |  |
| static

more or less simple columns: long

Definition at line 80 of file TupleDecorator.cpp.

83 { return _fill ( tuple , name , value ) ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const int | value,
|  | const int | minv,
|  | const int | maxv
| ) |  |
| static

more or less simple columns: long

Definition at line 86 of file TupleDecorator.cpp.

91 {
92 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
93 return tuple -> column ( name , value , minv , maxv ) ;
94 }
GaudiPython::TupleDecorator::column
static StatusCode column(const Tuples::Tuple &tuple, const std::string &name, const int value)
more or less simple columns: long
Definition: TupleDecorator.cpp:80
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const double | value
| ) |  |
| static

more or less simple columns: double

Definition at line 97 of file TupleDecorator.cpp.

100 { return _fill ( tuple , name , value ) ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const bool | value
| ) |  |
| static

more or less simple columns: bool

Definition at line 115 of file TupleDecorator.cpp.

118 { return _fill ( tuple , name , value ) ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | IOpaqueAddress * | value
| ) |  |
| static

more or less simple columns: IOpaqueAddress

Definition at line 121 of file TupleDecorator.cpp.

124 {
125 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
126 return tuple->column( name , value ) ;
127 }
Tuples::TupleObj::column
StatusCode column(const std::string &name, float value)
Set the value for selected tuple column.
Definition: TupleObj.cpp:263
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | IOpaqueAddress * | value
| ) |  |
| static

more or less simple columns: IOpaqueAddress

Definition at line 130 of file TupleDecorator.cpp.

132 { return column ( tuple , "Address" , value ) ; }
GaudiPython::TupleDecorator::column
static StatusCode column(const Tuples::Tuple &tuple, const std::string &name, const int value)
more or less simple columns: long
Definition: TupleDecorator.cpp:80

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::LorentzVector & | value
| ) |  |
| static

Advanced columns: LorentzVector.

Definition at line 135 of file TupleDecorator.cpp.

138 { return _fill ( tuple , name , value ) ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::XYZVector & | value
| ) |  |
| static

Advanced columns: 3D-vector.

Definition at line 141 of file TupleDecorator.cpp.

144 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::XYZPoint & | value
| ) |  |
| static

Advanced columns: 3D-points.

Definition at line 147 of file TupleDecorator.cpp.

150 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Time & | value
| ) |  |
| static

advanced column: time

Definition at line 549 of file TupleDecorator.cpp.

552 {
553 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
554 StatusCode sc = StatusCode::SUCCESS ;
555 //
556 sc = tuple->column ( name + "year" , value.year ( true ) , 1970 , 2070 ) ;
557 if ( sc.isFailure() ) { return sc ; }
558 sc = tuple->column ( name + "month" , value.month ( true ) + 1 , 1 , 16 ) ;
559 if ( sc.isFailure() ) { return sc ; }
560 sc = tuple->column ( name + "day" , value.day ( true ) , 0 , 32 ) ;
561 if ( sc.isFailure() ) { return sc ; }
562 sc = tuple->column ( name + "hour" , value.hour ( true ) , 0 , 25 ) ;
563 if ( sc.isFailure() ) { return sc ; }
564 sc = tuple->column ( name + "minute" , value.minute ( true ) , 0 , 61 ) ;
565 if ( sc.isFailure() ) { return sc ; }
566 sc = tuple->column ( name + "second" , value.second ( true ) , 0 , 61 ) ;
567 if ( sc.isFailure() ) { return sc ; }
568 sc = tuple->column ( name + "nsecond" , value.nsecond () ) ;
569 //
570 return sc ;
571 }
Gaudi::Time::hour
int hour(bool local) const
Get the hour, numbered [0, 23].
Definition: Time.cpp:190
Gaudi::Time::day
int day(bool local) const
Get the day of month, numbered [1,31].
Definition: Time.cpp:185
Gaudi::Time::month
int month(bool local) const
Get the month, numbered [0,11].
Definition: Time.cpp:180
Tuples::TupleObj::column
StatusCode column(const std::string &name, float value)
Set the value for selected tuple column.
Definition: TupleObj.cpp:263
merge_files.sc
int sc
Definition: merge_files.py:167
Gaudi::Time::second
int second(bool local) const
Get the seconds, numbered [0,61] (allowing one or two leap seconds, years with leap seconds can have ...
Definition: Time.cpp:202
StatusCode::isFailure
bool isFailure() const
Test for a status code of FAILURE.
Definition: StatusCode.h:86
StatusCode::FAILURE
Definition: StatusCode.h:29
StatusCode::SUCCESS
Definition: StatusCode.h:30
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Gaudi::Time::nsecond
int nsecond(void) const
Get the nanoseconds.
Definition: Time.cpp:209
Gaudi::Time::year
int year(bool local) const
Get the year.
Definition: Time.cpp:175
Gaudi::Time::minute
int minute(bool local) const
Get the minute, numbered [0, 59].
Definition: Time.cpp:195

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const Gaudi::Time & | value
| ) |  |
| static

advanced column: time

Definition at line 542 of file TupleDecorator.cpp.

544 { return column ( tuple , "" , value ) ; }
GaudiPython::TupleDecorator::column
static StatusCode column(const Tuples::Tuple &tuple, const std::string &name, const int value)
more or less simple columns: long
Definition: TupleDecorator.cpp:80

StatusCode GaudiPython::TupleDecorator::column_ll | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const long long | value
| ) |  |
| static

more or less simple columns: long long

Definition at line 103 of file TupleDecorator.cpp.

106 { return _fill ( tuple , name , value ) ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

StatusCode GaudiPython::TupleDecorator::column_ull | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const unsigned long long | value
| ) |  |
| static

more or less simple columns: unsigned long long

Definition at line 109 of file TupleDecorator.cpp.

112 { return _fill ( tuple , name , value ) ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

StatusCode GaudiPython::TupleDecorator::farray | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const std::vector< double > & | data,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size arrays.

Definition at line 153 of file TupleDecorator.cpp.

158 {
159 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
160 return tuple->farray( name , data.begin() , data.end() , length , maxv ) ;
161 }
std::vector::end
T end(T...args)
Tuples::TupleObj::farray
StatusCode farray(const std::string &name, ITERATOR1 &&first, ITERATOR2 &&last, const std::string &length, size_t maxv)
Add an indexed array (of type float) to N-tuple.
Definition: TupleObj.h:896
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
std::vector::begin
T begin(T...args)

StatusCode GaudiPython::TupleDecorator::farray | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepVector & | data,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size arrays.

Definition at line 588 of file TupleDecorator.cpp.

593 {
594 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
595 // use the trick!
596 const double* begin = &(data[0]);
597 const double* end = begin + data.num_row() ;
598 return tuple->farray ( name , begin , end , length , maxv ) ;
599 }
Tuples::TupleObj::farray
StatusCode farray(const std::string &name, ITERATOR1 &&first, ITERATOR2 &&last, const std::string &length, size_t maxv)
Add an indexed array (of type float) to N-tuple.
Definition: TupleObj.h:896
begin
auto begin(reverse_wrapper< T > &w)
Definition: reverse.h:45
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
end
auto end(reverse_wrapper< T > &w)
Definition: reverse.h:47

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiPython::Matrix & | data,
|  | const Tuples::TupleObj::MIndex | cols,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size matrices.

Definition at line 164 of file TupleDecorator.cpp.

170 {
171 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
172 if ( !data.empty() && cols != data.front().size() )
173 { return tuple ->
174 Error ("GP:fmatrix(1): mismatch in matrix dimensions!" ) ; }
175 return tuple->fmatrix( name , data , data.size() , cols , length , maxv ) ;
176 }
std::vector::empty
T empty(T...args)
std::vector::front
T front(T...args)
Tuples::TupleObj::fmatrix
StatusCode fmatrix(const std::string &name, const MATRIX &data, size_t rows, const MIndex &cols, const std::string &length, size_t maxv)
Fill N-Tuple with data from variable-size matrix.
Definition: TupleObj.h:1351
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
std::vector::size
T size(T...args)

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiUtils::VectorMap< int, double > & | info,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size matrices.

Definition at line 179 of file TupleDecorator.cpp.

184 {
185 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
186 return tuple->fmatrix ( name , info , length , maxv ) ;
187 }
Tuples::TupleObj::fmatrix
StatusCode fmatrix(const std::string &name, const MATRIX &data, size_t rows, const MIndex &cols, const std::string &length, size_t maxv)
Fill N-Tuple with data from variable-size matrix.
Definition: TupleObj.h:1351
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepGenMatrix & | data,
|  | const Tuples::TupleObj::MIndex | cols,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size matrices.

Definition at line 617 of file TupleDecorator.cpp.

623 {
624 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
625 if ( cols != data.num_col() )
626 { return tuple ->
627 Error ("GP:fmatrix(2): mismatch in matrix dimensions!" ) ; }
628 return tuple->fmatrix( name , data , data.num_row() , cols , length , maxv ) ;
629 }
Tuples::TupleObj::fmatrix
StatusCode fmatrix(const std::string &name, const MATRIX &data, size_t rows, const MIndex &cols, const std::string &length, size_t maxv)
Fill N-Tuple with data from variable-size matrix.
Definition: TupleObj.h:1351
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiPython::Matrix & | data,
|  | const Tuples::TupleObj::MIndex | cols
| ) |  |
| static

Advanced columns: fixed size matrices.

Definition at line 281 of file TupleDecorator.cpp.

285 {
286 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
287 if ( data.empty() )
288 { return tuple ->
289 Warning ("GP:matrix(1): empty fixed matrix, skip matrix " ) ; }
290 if ( cols != data.front().size() )
291 { return tuple ->
292 Error ("GP:matrix(1): mismatch in fixed matrix dimensions!" ) ; }
293 return tuple -> matrix ( name , data , data.size() , cols ) ;
294 }
std::vector::empty
T empty(T...args)
std::vector::front
T front(T...args)
GaudiPython::TupleDecorator::matrix
static StatusCode matrix(const Tuples::Tuple &tuple, const std::string &name, const GaudiPython::Matrix &data, const Tuples::TupleObj::MIndex cols)
Advanced columns: fixed size matrices.
Definition: TupleDecorator.cpp:281
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
std::vector::size
T size(T...args)

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix2x2 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 306 of file TupleDecorator.cpp.

309 {
310 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
311 return tuple->matrix ( name , data ) ;
312 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 315 of file TupleDecorator.cpp.

318 {
319 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
320 return tuple->matrix ( name , data ) ;
321 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix4x4 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 324 of file TupleDecorator.cpp.

327 {
328 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
329 return tuple->matrix ( name , data ) ;
330 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix5x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 333 of file TupleDecorator.cpp.

336 {
337 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
338 return tuple->matrix ( name , data ) ;
339 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix6x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 342 of file TupleDecorator.cpp.

345 {
346 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
347 return tuple->matrix ( name , data ) ;
348 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix7x7 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 351 of file TupleDecorator.cpp.

354 {
355 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
356 return tuple->matrix ( name , data ) ;
357 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix8x8 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 360 of file TupleDecorator.cpp.

363 {
364 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
365 return tuple->matrix ( name , data ) ;
366 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix9x9 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 369 of file TupleDecorator.cpp.

372 {
373 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
374 return tuple->matrix ( name , data ) ;
375 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x1 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 297 of file TupleDecorator.cpp.

300 {
301 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
302 return tuple->matrix ( name , data ) ;
303 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 378 of file TupleDecorator.cpp.

381 {
382 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
383 return tuple->matrix ( name , data ) ;
384 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 387 of file TupleDecorator.cpp.

390 {
391 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
392 return tuple->matrix ( name , data ) ;
393 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 396 of file TupleDecorator.cpp.

399 {
400 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
401 return tuple->matrix ( name , data ) ;
402 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix4x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 405 of file TupleDecorator.cpp.

408 {
409 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
410 return tuple->matrix ( name , data ) ;
411 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x4 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 414 of file TupleDecorator.cpp.

417 {
418 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
419 return tuple->matrix ( name , data ) ;
420 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 423 of file TupleDecorator.cpp.

426 {
427 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
428 return tuple->matrix ( name , data ) ;
429 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 432 of file TupleDecorator.cpp.

435 {
436 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
437 return tuple->matrix ( name , data ) ;
438 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix2x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 441 of file TupleDecorator.cpp.

444 {
445 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
446 return tuple->matrix ( name , data ) ;
447 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x2 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 450 of file TupleDecorator.cpp.

453 {
454 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
455 return tuple->matrix ( name , data ) ;
456 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix1x1 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 459 of file TupleDecorator.cpp.

462 {
463 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
464 return tuple->matrix ( name , data ) ;
465 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix2x2 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 468 of file TupleDecorator.cpp.

471 {
472 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
473 return tuple->matrix ( name , data ) ;
474 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix3x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 477 of file TupleDecorator.cpp.

480 {
481 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
482 return tuple->matrix ( name , data ) ;
483 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix4x4 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 486 of file TupleDecorator.cpp.

489 {
490 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
491 return tuple->matrix ( name , data ) ;
492 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix5x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 495 of file TupleDecorator.cpp.

498 {
499 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
500 return tuple->matrix ( name , data ) ;
501 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix6x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 504 of file TupleDecorator.cpp.

507 {
508 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
509 return tuple->matrix ( name , data ) ;
510 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix7x7 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 513 of file TupleDecorator.cpp.

516 {
517 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
518 return tuple->matrix ( name , data ) ;
519 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix8x8 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 522 of file TupleDecorator.cpp.

525 {
526 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
527 return tuple->matrix ( name , data ) ;
528 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix9x9 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 531 of file TupleDecorator.cpp.

534 {
535 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
536 return tuple->matrix ( name , data ) ;
537 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepGenMatrix & | data
| ) |  |
| static

Advanced columns: fixed size matrices.

Definition at line 602 of file TupleDecorator.cpp.

605 {
606 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
607 if ( 1 > data.num_col() )
608 { return tuple ->
609 Error ("GP:matrix(2): illegal fixed matrix num_col" ) ; }
610 if ( 1 > data.num_row() )
611 { return tuple ->
612 Error ("GP:matrix(2): illegal fixed matrix num_row" ) ; }
613 return tuple->matrix( name , data , data.num_row() , data.num_col() ) ;
614 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1777
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

INTuple * GaudiPython::TupleDecorator::nTuple | ( | const Tuples::Tuple & | tuple | ) |
| static

accessors to internal

Definition at line 56 of file TupleDecorator.cpp.

57 {
58 if ( !tuple.valid() ) { return 0 ; }
59 return tuple->tuple() ;
60 }
Tuples::TupleObj::tuple
const NTuple::Tuple * tuple() const
provide the access to underlying Gaudi N-tuple
Definition: TupleObj.h:1988
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

NTuple::Tuple * GaudiPython::TupleDecorator::ntuple | ( | const Tuples::Tuple & | tuple | ) |
| static

accessors to internal

Definition at line 63 of file TupleDecorator.cpp.

64 {
65 if ( !tuple.valid() ) { return 0 ; }
66 return tuple->tuple() ;
67 }
Tuples::TupleObj::tuple
const NTuple::Tuple * tuple() const
provide the access to underlying Gaudi N-tuple
Definition: TupleObj.h:1988
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

bool GaudiPython::TupleDecorator::valid | ( | const Tuples::Tuple & | tuple | ) |
| static

status of the tuple

Definition at line 70 of file TupleDecorator.cpp.

70 { return tuple.valid() ; }
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149

StatusCode GaudiPython::TupleDecorator::write | ( | const Tuples::Tuple & | tuple | ) |
| static

commit the row

Definition at line 73 of file TupleDecorator.cpp.

74 {
75 if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
76 return tuple->write();
77 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:149
Tuples::TupleObj::write
StatusCode write()
write a record to NTuple
Definition: TupleObj.cpp:180

The documentation for this class was generated from the following files:

- GaudiPython/GaudiPython/TupleDecorator.h
- GaudiPython/src/Lib/TupleDecorator.cpp